Bug 961188 - Too long timeout of server when a problematic Camel exchange is in progress
Too long timeout of server when a problematic Camel exchange is in progress
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER2
: ---
Assigned To: Keith Babo
Jiri Sedlacek
Alpha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 00:53 EDT by Jiri Pechanec
Modified: 2015-08-02 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-05-09 00:53:55 EDT
When there is an internal problem with Camel exchange and a server is shutting down there is a list of log messages

06:44:19,586 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 299 seconds.
06:44:20,586 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 298 seconds.
06:44:21,587 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 297 seconds.
06:44:22,588 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 296 seconds.
06:44:23,588 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 295 seconds.
06:44:24,589 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 294 seconds.
06:44:25,590 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 293 seconds.
06:44:26,590 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 292 seconds.
06:44:27,591 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 291 seconds.
06:44:28,592 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 290 seconds.
06:44:29,592 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 289 seconds.
06:44:30,593 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 288 seconds.
06:44:31,594 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 287 seconds.
06:44:32,594 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 286 seconds.
06:44:33,595 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 285 seconds.
06:44:34,596 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 284 seconds.
06:44:35,596 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 283 seconds.
06:44:36,597 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] (Camel (camel-3) thread #3 - ShutdownTask) Waiting as there are still 1 inflight and pending exchanges to complete, timeout in 282 seconds.

I think that 300 second timeout is a little bit long.
Comment 1 Keith Babo 2013-08-22 13:07:11 EDT
Default timeout has been shortened to 30s and is now configurable via domain properties.  See associated JIRA and pull request for details.
Comment 2 Jiri Pechanec 2013-09-16 05:57:08 EDT
Verified in ER2

Note You need to log in before you can comment on or make changes to this bug.